
# cloudup-local

Local web app for the desktop apps. `cloudup-local` is the "guts" of the Cloudup
native desktop experience. It is designed to be run within one of the "native
shells", like `cloudup-osx` or `cloudup-win`.

![](http://i.cloudup.com/iJq7KXKqpIE.png)


## Servers & Ports

`cloudup-local` is mostly an HTTP server. In production, an additional HTTPS
server with certificates for `cloudup.io` is also spawned with a minimal set of
endpoints intended for the Web Browser to interact with. The table below explains:

| NODE_ENV               | development (default)     | production                |
|:-----------------------|:--------------------------|:--------------------------|
| HTTP server            | http://127.0.0.1:31085    | http://127.0.0.1:31083
| HTTPS server           | N/A                       | https://cloudup.io:31084


## Hidden key combinations

Key combinations useful for debugging and/or for helping users diagnose problems
for support.

| Action                | Key combo (OS X) | Key combo (Windows) |
|:----------------------|:-----------------|:--------------------------|
| Open "Web Inspector"  | Cmd+Alt+I        | Crtl+Shift+I
| Open Cloudup log file | Cmd+Alt+L        | Crtl+Shift+L
| Go to "Proxy" page    | Cmd+Alt+P        | Crtl+Shift+P


## Useful .bashrc aliases

``` bash
alias cloudup="/Applications/Cloudup.app/Contents/MacOS/Cloudup"
alias cloudup-dev="CLOUDUP_ENV=dev NODE_ENV=development cloudup"
alias cloudup-stage="CLOUDUP_ENV=stage cloudup"
```


## User-Agent

For outgoing HTTP(S) requests, the `cloudup-local` server uses a custom
`User-Agent` string. An example looks like:

```
User-Agent: cloudup-local (version: 1.2.0) (build: 602) (os: darwin) (release: Darwin 11.4.2) (hostname: Emilys-MacBook-Air.local)
```

## Testing against "stage-cloudup.com"

To run Cloudup.app / Cloudup.exe against the stage cloudup server, set the
`CLOUDUP_ENV` environment variable to `"stage"`. i.e.:

``` bash
$ CLOUDUP_ENV=stage /Applications/Cloudup.app/Contents/MacOS/Cloudup
```

## HTTP-based "file drop"

``` bash
$ curl -X POST \
    -H "Content-Type: application/json" \
    -H "Origin: http://localhost:31085" \
    -d '[{"path":"/path/to/some/file","type":"file","source":"curl"}]' \
    http://localhost:31085/drop
```

## Multipart file upload

``` bash
$ curl --header "Origin: http://localhost:31085" \
    -F file=@index.js http://localhost:31085/upload
```
