
var rework = require('..');
var fs = require('fs');
var str = fs.readFileSync('testing/index.css', 'utf8');
var whitespace = require('css-whitespace');

var mixins = require('rework-mixins');

var vendors = ['-ms-', '-moz-', '-webkit-'];

var props = [
  'animation',
  'animation-delay',
  'animation-direction',
  'animation-duration',
  'animation-fill-mode',
  'animation-iteration-count',
  'animation-name',
  'animation-play-state',
  'animation-timing-function',
  'appearance',
  'background-visibility',
  'background-clip',
  'background-composite',
  'background-origin',
  'background-size',
  'blend-mode',
  'border-bottom-left-radius',
  'border-bottom-right-radius',
  'border-fit',
  'border-image',
  'border-radius',
  'border-top-left-radius',
  'border-top-right-radius',
  'border-vertical-spacing',
  'box-align',
  'box-direction',
  'box-flex',
  'box-flex-group',
  'box-lines',
  'box-ordinal-group',
  'box-orient',
  'box-pack',
  'box-reflect',
  'box-shadow',
  'box-sizing',
  'clip-path',
  'flex',
  'flex-basis',
  'flex-direction',
  'flex-flow',
  'flex-grow',
  'flex-shrink',
  'flex-wrap',
  'flex-flow-from',
  'flex-flow-into',
  'font-smoothing',
  'transform',
  'transform-origin',
  'transform-origin-x',
  'transform-origin-y',
  'transform-origin-z',
  'transform-style',
  'transition',
  'transition-delay',
  'transition-duration',
  'transition-property',
  'transition-timing-function',
  'user-drag',
  'user-modify',
  'user-select',
  'wrap',
  'wrap-flow',
  'wrap-margin',
  'wrap-padding',
  'wrap-through'
];

str = whitespace(str);

str = rework(str)
  .vendors(vendors)
  .use(rework.colors())
  .use(rework.references())
  .use(rework.keyframes())
  .use(rework.ease())
  .use(rework.prefixValue('transform'))
  .use(rework.prefix(props))
  .use(rework.mixin(mixins))
  .use(rework.at2x())
  .toString();

console.log(str);

