
/**
 * Module dependencies.
 */

var createBuild = require('build')
  , fs = require('fs')
  , read = fs.readFileSync
  , write = fs.writeFileSync
  , conf = require('config')
  , rework = require('rework');

var start = new Date;

var build = createBuild('package.json', {
  to: 'public/build',
  filter: function(pkg){
    return pkg.name != 'dev';
  }
});

function rewrite(url) {
  if ('/' == url[0]) return 'http://127.0.0.1:' + conf['http port'] + url;
  return url;
}

build(function(){
  var css = read('public/build.css', 'utf8');

  // stylus bug tripping up rework due to the parens
  css = css.replace(/\(\(null\)\)/g, 'wtf');

  css = rework(css)
    .use(rework.url(rewrite))
    .toString({ compress: false });

  write('public/build.css', css);

  console.log();
  console.log('  built in %dms', new Date - start);
  console.log();
});
