#!/bin/bash

# default the cloudup-osx directory to inside $HOME
if [ "x$OSX" = "x" ]; then
  OSX=~/cloudup-osx
fi

# default the cloudup-win directory to inside $HOME
if [ "x$WIN" = "x" ]; then
  WIN=~/cloudup-win
fi

# XXX: add -linux here when we get there...

for i in $OSX $WIN; do
  LOCAL="cloudup-local"
  if [ "$i" = "$WIN" ]; then
    # the cloudup-local submodule is in a weird place on cloudup-win
    LOCAL="Cloudup/cloudup-local"
  fi

  # first ensure that the platform-specific repo
  # is up-to-date with origin/master
  cd "$i"
  git fetch origin && git reset --hard origin/master
  git submodule update --init

  # update cloudup-local to latest version
  cd "$i/$LOCAL"
  git fetch origin && git reset --hard origin/master

  # go back to platform-specific repo and commit submodule update
  cd "$i"
  git add "$LOCAL"
  git commit -m "Update cloudup-local."
  git push origin master

  echo "done with $i"
  echo
done
