#!/usr/bin/env node

/**
 * Module dependencies.
 */

var path = require('path');
var fs = require('fs');
var join = path.join;
var read = fs.readFileSync;
var write = fs.writeFileSync;
var mkdir = fs.mkdirSync;
var readdir = fs.readdirSync;

var dep = process.argv[2];
var version = process.argv[3];
if (!dep || !version) {
  console.log('usage:');
  console.log('  ' + process.argv.slice(0, 2).join(' ') + ' <dependencyName> <newVersion>');
  return process.exit(2);
}

console.log();
console.log('  updating %s to %s', dep, version);
readdir('lib').forEach(function(name){
  var path = join('lib', name, 'package.json');
  var conf = JSON.parse(read(path, 'utf8'));
  ['dependencies', 'devDependencies'].forEach(function (dependencies) {
    if (!conf[dependencies]) return;
    if (!conf[dependencies][dep]) return;
    var curr = conf[dependencies][dep];
    console.log('  updating %s/%s/%s %s -> %s', name, dependencies, dep, curr, version);
    conf[dependencies][dep] = version;
  });
  var json = JSON.stringify(conf, null, 2);
  write(path, json + '\n');
});
console.log();
